screen = {
		width = love.graphics.getWidth(),
		height = love.graphics.getHeight()
	}

require "ball"

local balls = {}


function love.load()
	love.graphics.setLineWidth(1)
	love.mouse.setVisible(true)
	--(orbit_x, orbit_y, orbit_radius, orbit_speed, radius, angle)
	local count = 512
	local rad = screen.height / 2 / 2
	for i=1, count do
		local a = ((math.pi * 2) / count) * i
		local speed = 0.1
		local h = (255 / count) * i
		balls[i] = ball.new(screen.width / 2, screen.height / 2, rad, speed, rad, a, {h, 255, 126, 2})--255 / (count / 3)
	end
end

function love.update(dt)
	for i,v in ipairs(balls) do
		v:update(dt)
	end
end

function love.draw()
	for i,v in ipairs(balls) do
		v:draw()
	end
end

function love.keypressed(key)
	if key == "escape" then love.event.push("quit") end
end

function love.mousepressed(x, y, key)

end

function hsl(h, s, l, a)
    if s<=0 then return l,l,l,a end
    h, s, l = h/256*6, s/255, l/255
    local c = (1-math.abs(2*l-1))*s
    local x = (1-math.abs(h%2-1))*c
    local m,r,g,b = (l-.5*c), 0,0,0
    if h < 1     then r,g,b = c,x,0
    elseif h < 2 then r,g,b = x,c,0
    elseif h < 3 then r,g,b = 0,c,x
    elseif h < 4 then r,g,b = 0,x,c
    elseif h < 5 then r,g,b = x,0,c
    else              r,g,b = c,0,x
    end return (r+m)*255,(g+m)*255,(b+m)*255,a
end